osdir.com


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Error while building 1.5.1 from source


Hi,

the Maven enforcer plugin produced invalid errors under certain conditions. See also the discussion here [1]. If you start the build again, it should succeed. This issue is fixed in 1.5.2.

Regards,
Timo

[1] https://issues.apache.org/jira/browse/FLINK-9091


Am 01.08.18 um 11:26 schrieb vino yang:
Hi shashank,

Can you provide more details to assist with locating problems?

Thanks, vino.

2018-08-01 15:46 GMT+08:00 shashank734 <shashank734@xxxxxxxxx>:

Facing issue with Apache flink 1.5.1 while building from source.

MVN : 3.2.5

Command : mvn clean install -DskipTests -Dscala.version=2.11.7
-Pvendor-repos -Dhadoop.version=2.7.3.2.6.2.0-205

Error : [ERROR] Failed to execute goal
org.apache.maven.plugins:maven-enforcer-plugin:3.0.0-M1:enforce
(dependency-convergence) on project flink-bucketing-sink-test: Some
Enforcer
rules have failed. Look above for specific messages explaining why the rule
failed. -> [Help 1]



--
Sent from: http://apache-flink-mailing-list-archive.1008284.n3.nabble.com/